Functions
Functions
Peripheral Driver » HAL Driver » CLOCK

xo clock request and release API More...

Collaboration diagram for Functions:

## Functions
uint32_t | hal_clock_get_xo_requests (void)
| get which devices requested xo clock More...
uint32_t | hal_clock_get_device_xo_request_status (xo_request_device_number_t dev_num)
| check the specified device whether request xo clock or not More...
void | hal_clock_request_xo_osc (xo_request_device_number_t dev_num)
| the specified device request xo clock resource More...
void | hal_clock_release_xo_osc (xo_request_device_number_t dev_num)
| the specified device release xo clock resource More...
void | hal_clock_release_xo_osc_all (void)
| release xo clock resource for all devices. More...

## Detailed Description

xo clock request and release API

## Function Documentation

## ◆ hal_clock_get_device_xo_request_status()

uint32_t hal_clock_get_device_xo_request_status | ( | xo_request_device_number_t | dev_num | ) |

check the specified device whether request xo clock or not

Parameters

  [in] | dev_num | specified device number

Returns
  value 1 means requests xo, and value 0 means no need xo.

## ◆ hal_clock_get_xo_requests()

uint32_t hal_clock_get_xo_requests | ( | void |  | ) |

get which devices requested xo clock

Returns
  xo_clock_requests, each bit corresponds to xo_request_device_number_t; value 1 means requests xo, and value 0 means no need xo.

## ◆ hal_clock_release_xo_osc()

void hal_clock_release_xo_osc | ( | xo_request_device_number_t | dev_num | ) |

the specified device release xo clock resource

Parameters

  [in] | dev_num | specified device number

Returns
  void

## ◆ hal_clock_release_xo_osc_all()

void hal_clock_release_xo_osc_all | ( | void |  | ) |

release xo clock resource for all devices.

Returns
  void

## ◆ hal_clock_request_xo_osc()

void hal_clock_request_xo_osc | ( | xo_request_device_number_t | dev_num | ) |

the specified device request xo clock resource

Parameters

  [in] | dev_num | specified device number

Returns
  void